**Reactive Microservice Sample POC project using Spring webflux + MongoDB**

This project is used to enable REST endpoints to perform CRUD operations for Loyalty account.

LOCALHOST URL(s):
-----------------

http://localhost:8091/loyalty/all{GET]
http://localhost:8091/loyalty{POST]
http://localhost:8091/loyalty/01031 [GET]
http://localhost:8091/loyalty/01021 [PUT]
http://localhost:8091/loyalty/01031 [DELETE]

These are the below layers.

1.) Controller
2.) Service
3.) Repository
4.) Util
5.) Dto
6.) Entity

1.) Created src/main/java/com/nisum/abs/loyaltyService/repository/LoyaltyRepository.java that extends ReactiveMongoRepository
to perform MongoDB data manipualtion operations.

2.) Created src/main/java/com/nisum/abs/loyaltyService/service/LoyaltyService.java that calls LoyaltyRepository.java to pull/push data into MongoDB in a Reactive way 
using Mono and Flux publishers.

3.) Created src/main/java/com/nisum/abs/loyaltyService/controller/LoyaltyController.java to enable REST endpoints that calls LoyaltyService.java to perform
CRUD operations for Loyalty Account

4.) Created Entity -> Loyatly.java [src/main/java/com/nisum/abs/loyaltyService/entity/Loyalty.java]

5.) Created DTO -> LoyaltyDto.java [src/main/java/com/nisum/abs/loyaltyService/dto/LoyaltyDto.java]

6.) Created Util class [src/main/java/com/nisum/abs/loyaltyService/util/EntityToDtoConversionUtil.java for the conversion of Entity to Dto (or) Dto to Entity.
